'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

require('../setup/index.js');
require('../utils/click/isClickableInput.js');
require('../utils/dataTransfer/Clipboard.js');
require('../event/eventMap.js');
require('../event/behavior/click.js');
require('../event/behavior/cut.js');
require('../event/behavior/keydown.js');
require('../event/behavior/keypress.js');
require('../event/behavior/keyup.js');
require('../event/behavior/paste.js');
require('@testing-library/dom');
require('../utils/edit/maxLength.js');
require('../utils/edit/isEditable.js');
require('@testing-library/dom/dist/helpers.js');
require('../utils/keyDef/readNextDescriptor.js');
require('../utils/misc/level.js');
var cssPointerEvents = require('../utils/pointer/cssPointerEvents.js');
var config = require('../setup/config.js');

async function hover(element) {
    return this.pointer({
        target: element
    });
}
async function unhover(element) {
    cssPointerEvents.assertPointerEvents(this[config.Config], this[config.Config].system.pointer.getMouseTarget(this[config.Config]));
    return this.pointer({
        target: element.ownerDocument.body
    });
}

exports.hover = hover;
exports.unhover = unhover;
