'use strict';

var isClickableInput = require('../../utils/click/isClickableInput.js');
require('../../utils/dataTransfer/Clipboard.js');
var index = require('../index.js');
require('../../utils/edit/maxLength.js');
require('../../utils/edit/isEditable.js');
require('@testing-library/dom');
require('@testing-library/dom/dist/helpers.js');
require('../../utils/keyDef/readNextDescriptor.js');
require('../../utils/misc/level.js');
require('../../options.js');
var registry = require('./registry.js');

registry.behavior.keyup = (event, target, config)=>{
    var ref;
    return (ref = keyupBehavior[event.key]) === null || ref === void 0 ? void 0 : ref.call(keyupBehavior, event, target, config);
};
const keyupBehavior = {
    ' ': (event, target, config)=>{
        if (isClickableInput.isClickableInput(target)) {
            return ()=>index.dispatchUIEvent(config, target, 'click');
        }
    }
};
