'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var createEvent = require('./createEvent.js');
var dispatchEvent = require('./dispatchEvent.js');
var eventMap = require('./eventMap.js');

function dispatchUIEvent(config, target, type, init, preventDefault = false) {
    if (eventMap.isMouseEvent(type) || eventMap.isKeyboardEvent(type)) {
        init = {
            ...init,
            ...config.system.getUIEventModifiers()
        };
    }
    const event = createEvent.createEvent(type, target, init);
    return dispatchEvent.dispatchEvent(config, target, event, preventDefault);
}
function bindDispatchUIEvent(config) {
    return dispatchUIEvent.bind(undefined, config);
}

exports.bindDispatchUIEvent = bindDispatchUIEvent;
exports.dispatchUIEvent = dispatchUIEvent;
