'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

require('../click/isClickableInput.js');
require('../dataTransfer/Clipboard.js');
require('./maxLength.js');
var isContentEditable = require('./isContentEditable.js');
require('./isEditable.js');
require('@testing-library/dom');
require('@testing-library/dom/dist/helpers.js');
require('../keyDef/readNextDescriptor.js');
require('../misc/level.js');
require('../../options.js');
require('../../event/eventMap.js');
require('../../event/behavior/click.js');
require('../../event/behavior/cut.js');
require('../../event/behavior/keydown.js');
require('../../event/behavior/keypress.js');
require('../../event/behavior/keyup.js');
require('../../event/behavior/paste.js');
var value = require('../../document/value.js');

function getValue(element) {
    // istanbul ignore if
    if (!element) {
        return null;
    }
    if (isContentEditable.isContentEditable(element)) {
        return element.textContent;
    }
    return value.getUIValue(element);
}

exports.getValue = getValue;
