import '../../utils/click/isClickableInput.js';
import '../../utils/dataTransfer/Clipboard.js';
import '../eventMap.js';
import './click.js';
import './cut.js';
import './keydown.js';
import './keypress.js';
import './keyup.js';
import { behavior } from './registry.js';
import '@testing-library/dom';
import { input } from '../../utils/edit/input.js';
import { isEditable } from '../../utils/edit/isEditable.js';
import '@testing-library/dom/dist/helpers.js';
import '../../utils/keyDef/readNextDescriptor.js';
import '../../utils/misc/level.js';
import '../../options.js';

behavior.paste = (event, target, config)=>{
    if (isEditable(target)) {
        return ()=>{
            var ref;
            const insertData = (ref = event.clipboardData) === null || ref === void 0 ? void 0 : ref.getData('text');
            if (insertData) {
                input(config, target, insertData, 'insertFromPaste');
            }
        };
    }
};
