import { Config } from '../../setup';
import { pointerKey, PointerPosition } from '.';
import type { Pointer } from './pointer';
/**
 * This object is the single "virtual" mouse that might be controlled by multiple different pointer devices.
 */
export declare class Mouse {
    position: PointerPosition;
    private readonly buttons;
    private selecting?;
    private buttonDownTarget;
    private readonly clickCount;
    move(config: Config, position: PointerPosition): {
        leave: () => void;
        enter: () => void;
        move: () => void;
    } | undefined;
    down(config: Config, keyDef: pointerKey, pointer: Pointer): void;
    up(config: Config, keyDef: pointerKey, pointer: Pointer): void;
    resetClickCount(): void;
    private getEventInit;
    private getTarget;
    private startSelecting;
    private modifySelecting;
    private endSelecting;
}
