import { Config } from '../../setup';
import { pointerKey, PointerPosition } from '.';
declare type PointerInit = {
    pointerId: number;
    pointerType: string;
    isPrimary: boolean;
};
export declare class Pointer {
    constructor({ pointerId, pointerType, isPrimary }: PointerInit);
    readonly pointerId: number;
    readonly pointerType: string;
    readonly isPrimary: boolean;
    isMultitouch: boolean;
    isCancelled: boolean;
    isDown: boolean;
    isPrevented: boolean;
    position: PointerPosition;
    init(config: Config, position: PointerPosition): this;
    move(config: Config, position: PointerPosition): {
        leave: () => void;
        enter: () => void;
        move: () => void;
    } | undefined;
    down(config: Config, _keyDef: pointerKey): void;
    up(config: Config, _keyDef: pointerKey): void;
    release(config: Config): void;
    private getTarget;
    private getEventInit;
}
export {};
